body {
    font: 14px sans-serif;
    text-align: center;
    margin: 0;
    padding: 0;
}

.page-header {
    position: relative;
    display: flex;
    flex-direction: column;
    overflow: auto;
    height: 100%;
    margin: 0 !important;
}

.top-bar {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20px;
    z-index: 5;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}

.top-bar b {
    font-size: 20px;
}

.logout {
    background-color: red;
    color: white;
    padding: 10px 15px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    margin: 5px 0 5px 0;
    width: 30%;
    text-decoration: none;
    box-shadow: 0 0 12px 3px rgba(0, 0, 0, 0.5);
}

.logout:hover {
    opacity: .65;
}

.navbar {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
}


/*menu*/

.dropbtn {
    background-color: #4CAF50;
    color: white;
    padding: 10px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    margin-bottom: 10px;
    width: 100%;
    box-shadow: 0 3px 5px 2px rgba(0, 0, 0, 0.3);
}

.dropdown,
.dropdown1,
.dropdown2 {
    position: relative;
    display: block;
    width: 100%;
}

.dropdown2 > a, .dropdown1 > a{
    width: 100%;
    background-color: #4CAF50;
    display: block;
    text-decoration: none;
    color: #fff;
    padding: 16px;
    font-size: 16px;
    outline: none;
    box-shadow: 0 3px 5px 2px rgba(0, 0, 0, 0.3);
}

.dropdown-dovidnuku, .dropdown-skladu,
.dropdown-administ {
    display: none;
    position: fixed;
    text-align: center;
    top: 155px;
    left: 169px;
    background-color: #4CAF50;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    z-index: 1;
    list-style: none;
    padding: 5px;
}

.dropdown-administ, .dropdown-skladu {
    top: 305px;
    left: 169px;
    width: 120px;
    text-align: center;
    font-size: 14px;
    padding: 12px 16px;
    background-color: #4CAF50;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.dropdown-skladu{
    top: 155px;
    left: 169px;
}

.dropdown-dovidnuku{
    top: 180px;
    left: 169px;
}

.dropdown-administ{
    top: 445px;
    left: 169px;
}


.dropdown-administ a, .dropdown-skladu a {
    color: #fff;
    text-decoration: none;
}

.dropdown-administ li,
.dropdown-dovidnuku li,
.dropdown-skladu li {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    width: 100%;
}

.dropdown-dovidnuku li a, .dropdown-skladu li a,
.dropdown-administ li a {
    display: flex;
    justify-content: start;
    color: #fff;
    padding: 12px 0px;
    text-decoration: none;
    margin-right: 25px;
}
ul {
        padding: 0px;
    margin: 0;
    text-align: center;
}
.dropdown-dovidnuku li a span{
    margin-right: 10px;
}
.dropdown-dovidnuku li a i{
    position: absolute;
    right: 20px;
}


.dropdown-dovidnuku li a:hover,
.dropdown2 button:hover, .dropdown1 button:hover,
.dropdown2 a:hover, .dropdown1 a:hover,
.dropdown-administ:hover, .dropdown-skladu:hover {
    background-color: #3e8e41;
    cursor: pointer;
}
.dropdown-dovidnuku li a:focus,
.dropdown2 button:focus, .dropdown1 button:focus,
.dropdown2 a:focus, .dropdown1 a:focus,
.dropdown-administ:focus, .dropdown-skladu:focus {
    background-color: #3e8e41;
    cursor: pointer;
}
.dropdown:hover .dropdown-dovidnuku, .dropdown1:hover .dropdown-skladu,
.dropdown2:hover .dropdown-administ {
    display: block;
}

.dropdown:hover .dropbtn, .dropdown1:hover .dropdown1,
.dropdown2:hover .dropdown2 {
    background-color: #3e8e41;
}

.submenu {
    display: none;
    position: absolute;
    top: 86px;
    left: 200px;
    background-color: #4CAF50;
    padding: 5px;
    font-size: 16px;
    border: none;
    cursor: pointer;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.submenu ul {
    padding: 0;
}

.submenu li {
    list-style: none;
}

.submenu li a {
    color: #fff;
}

.active:hover .submenu {
    display: block;
}

.submenu-parametr{
    border: 1px solid #2f6627;
    top: 0;
    left: 128px;
}
.submenu-oblad{
    border: 1px solid #2f6627;
    left: 131px;
}

#conteiner {
    margin-left: 20px;
}


/*table dov table*/

.table {
    margin: 25px;
    box-shadow: 0 0 6px 0 #8f8f8f;
    border-radius: 12px;
}

/* Employees table */
#myTable {
    border: 1px solid #ccc;
    width: 90vw;
    margin: 0 auto;
    padding:0;
    font-size: 14px;
    border-collapse: collapse;
    border-spacing: 0;
}

#myTable thead,
#myTable tfoot{
    text-transform: uppercase;
    font-size: 16px;
    letter-spacing: 1px;
    background-color: rgba(47, 107, 119, 0.87)
}

#myTable tbody{
    background-color: rgba(245, 245, 245, 0.79);
}

#myTable  tr {
    border: 1px solid #ddd;
    padding: 5px;
}

#myTable  th, #myTable  td {
    padding: 10px;
    text-align: center;
}

/* END Employees table */

/* Price Table */

#wrapperPriceTable {
    width: 98%;
    margin: 0 auto;
}

#priceTable1,
#priceTable2,
#priceTableBody1,
#priceTableBody2{
    width: 50%;
}

#priceTableBody1,
#priceTableBody2{
    display: flex;
    border: 1px solid #aaa;
    flex-basis: auto;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.wrapperPriceTableHeader,
.wrapperPriceTableBody{
display: flex;
    flex-basis: auto;
}
.item,
.item2{
    flex-basis: 16.6%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.item input{
text-align: center;
    border-radius: 5px;
    width: 90%;
    outline: none;
    border: 1px solid #aaa;
}
.priceBtn{
    margin-top: 5px;
    width: 80%;
}

#priceTableBody2{
    display: flex;
    flex-direction: column;
}
.item2{
    border-bottom: 1px solid #aaa;
}

.item2 > h3 {
    width: 100%;
    text-align: center;
}
.itemBtns{
    padding-bottom: 10px;
}
.item3{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
    padding-bottom: 5px;
    border-bottom: 1px solid #aaa;
}
.priceTableBody2Content{
    display: flex;
    flex-direction: row;
    flex-basis: 16.6%;
    align-items: inherit;
}
.itemContTabel2{
    padding: 0px;
    display: flex;
    flex-basis: auto;
    flex-direction: column;
    border: 1px solid;
}
.delOperationBtn{
    background: #e80045;
    border-radius: 50%;
    outline: none;
    border: 1px solid transparent;
    color: #fff;
    cursor: pointer;
    text-align: center;
    cursor: pointer;
}

.addOperationBtn{
    background: #44c767;
    border: 1px solid #18ab29;
    border-radius: 10px;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
}
.addOperationBtn:hover{
    background: #5cbf2a;
}

/* END Price Table */


/*.table button:hover { background-color: #6c7ae0; }*/

.col,
.HRov {
    display: flex;
    font-family: sans-serif;
    font-size: 14px;
}

.col,
.FRov {
    display: flex;
    font-family: sans-serif;
    font-size: 14px;
}

.col,
.Rov {
    display: flex;
    font-family: sans-serif;
    font-size: 14px;
}

.Rov {
    border-top: 1px solid #aaa;
}

.HRov {
    border-radius: 10px 10px 0 0;
    background-color: #6c7ae0;
    color: #fff;
}

.FRov {
    border-radius: 0 0 12px 12px;
    background-color: #6c7ae0;
    color: #fff;
}

.col {
    padding: 20px;
    width: 14%;
    border-right: 1px solid #aaa;
    justify-content: center;
    flex-grow: 1;
}

.no_pading input {
    border: 0px;
    text-align: center;
}

.HRov :last-child {
    border-right: 0px;
}


/* -----------------------popups------------------------*/

.add-form {
    display: flex;
    flex-direction: column;
    line-height: 30px;
}

.modal-window {
    position: fixed;
    background-color: rgba(200, 200, 200, 0.75);
    top: -110px;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
}

.modal-window:target {
    opacity: 1;
    pointer-events: auto;
}

.modal-window>div {
    width: 800px;
    position: relative;
    margin: 10% auto;
    padding: 2rem;
    background: #fff;
    color: #444;
}

.modal-window header {
    font-weight: bold;
}

.modal-close {
    color: #aaa;
    line-height: 50px;
    font-size: 80%;
    position: absolute;
    right: 0;
    text-align: center;
    top: 0;
    width: 70px;
    text-decoration: none;
}

.modal-close:hover {
    color: #000;
}

.modal-window h1 {
    font-size: 150%;
    margin: 0 0 15px;
}


/* -----------------------buttons------------------------*/

#button_action,
.confirmBtn{
    background-color: #44c767;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
    border: 2px solid #18ab29;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 20px;
    font-weight: bold;
    padding: 5px 40px;
    text-decoration: none;
}

#button_action:hover {
    background-color: #5cbf2a;
}

#button_action:active {
    position: relative;
    top: 1px;
}

#button_last_action {
    background-color: #44c767;
    border-radius: 28px;
    border: 1px solid #18ab29;
    display: inline-block;
    cursor: pointer;
    color: #ffffff;
    font-family: Arial;
    font-size: 14px;
    padding: 16px 10px;
    margin-top: 10px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #2f6627;
}


/* wrapperBtns*/

#wrapperBtns {
    display: flex;
    justify-content: end;
    background: #44c767;
    margin: 0;
    max-height: 35px;
}

#BtnsUl {
    margin: 0;
    list-style-type: none;
    line-height: 35px;
    max-height: 35px;
    overflow: hidden;
    display: flex;
    justify-content: start;
    flex-direction: row-reverse;
    padding-right: 20px;
}

ul.tabs>li.active {
    background: #ffffff;
}

ul.tabs>li.active:before {
    border-color: transparent #ffffff transparent transparent;
}

ul.tabs>li.active:after {
    border-color: transparent transparent transparent #ffffff;
}

ul.tabs>li {
    float: right;
    margin: 5px -10px 0;
    border-top-right-radius: 25px 170px;
    border-top-left-radius: 20px 90px;
    padding: 0 30px 0 25px;
    height: 170px;
    color: #f9f9f9;
    background: #C8C8C8;
    position: relative;
    box-shadow: 0 10px 20px rgba(0, 0, 0, .5);
    max-width: 200px;
    cursor: pointer;
}

ul.tabs>li>a {
    display: inline-block;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    text-decoration: none;
    color: #323232;
}

ul.tabs>li:before,
ul.tabs>li:after {
    content: '';
    background: transparent;
    height: 20px;
    width: 20px;
    border-radius: 100%;
    border-width: 10px;
    top: 0;
    border-style: solid;
    position: absolute;
}

ul.tabs>li:before {
    border-color: transparent #C8C8C8 transparent transparent;
    -webkit-transform: rotate(48deg);
    left: -23px;
}

ul.tabs>li:after {
    border-color: transparent transparent transparent #C8C8C8;
    -webkit-transform: rotate(-48deg);
    right: -17px;
}


/* Clear Fix took for HTML 5 Boilerlate*/

.clearfix:before,
.clearfix:after {
    content: "";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    zoom: 1;
}

#BtnsUl li span {
    color: #ff4900;
    position: absolute;
    cursor: pointer;
    top: -21px;
    background: transparent;
    line-height: 4;
    right: 30px;
    top: -36px;
    font-size: 26px;
}

#operationsBtn,
#employeesBtn,
#typeBtn,
#assortmentBtn,
#classBtn,
#seasonBtn,
#pictureBtn,
#sizeBtn,
#articleBtn,
#colorBtn,
#packingMaterialsBtn,
#packingMaterialsProviderBtn,
#packingMaterialsConsumptionBtn,
#packingMaterialsTermBtn,
#packingMaterialsMetaBtn,
#packingMaterialsTermMetaBtn,
#modelsBtn,
#needlesBtn,
#inchesBtn,
#machinesBtn,
#priceBtn,
#comingToStor1Btn,
#comingStor1Btn,
#ConsumptionFromStor1Btn,
#ConsumptionStor1Btn,
#remainderStor1Btn,
#comingStor2Btn,
#comingToStor2Btn,
#ConsumptionStor2Btn,
#ConsumptionFromStor2Btn,
#remainderStor2Btn,
#comingStor3Btn,
#ConsumptionStor3Btn,
#remainderStor3Btn,
#comingStor4Btn,
#ConsumptionStor4Btn,
#remainderStor4Btn   {
    margin-left: 5px;
    display: none;
    padding: 0px 60px;
}

sup {
    font-size: 15px;
    font-weight: bold;
    color: #ff4400;
    cursor: pointer;
    background: transparent;
}


/*END wrapperBtns*/


/* style buttons*/
td.editionofempl {
    display: flex;
}

.OperBtn {
    margin-right: 10px;
    background-color: #76b0ec;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 10px;
    padding: 7px 10px;
    outline: none;
    border: 1px solid #949494;
    cursor: pointer;
    transition: all .4s ease;
}
.editBtn {
    margin-right: 10px;
    background-color: #e8e213;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 10px;
    padding: 7px 10px;
    outline: none;
    border: 1px solid #949494;
    cursor: pointer;
    transition: all .4s ease;
}

.deleteBtn {
    margin-right: 10px;
    background-color: #e80045;
    font-size: 12px;
    text-transform: uppercase;
    color: #f9f9f9;
    border-radius: 10px;
    padding: 7px 10px;
    outline: none;
    border: 1px solid #949494;
    cursor: pointer;
    transition: all .3s ease;
}

.table button:hover {
    border: 1px solid #323232;
    opacity: .6;
}

.addBtn {
    margin-right: 10px;
    background-color: #00e828;
    font-size: 12px;
    text-transform: uppercase;
    color: #000;
    border-radius: 10px;
    padding: 7px 10px;
    outline: none;
    border: 1px solid #949494;
    cursor: pointer;
    transition: all .2s ease;
}

.addBtn:hover {
    border: 1px solid #323232;
    background-color: #00c31b;
    color: #fff;
}

/* END style buttons*/


/* Hover menu */
#registerPage{
    width: 100%;
    height: 100vh;
}

.menu,
.registerMenu {
    font-weight: 300;
    background: #efefef;
    width: 150px;
    height: 100%;
    padding: 0 40px 0 20px;
    position: fixed;
    z-index: 2;
    box-shadow: 3px 0 5px 0 rgba(0, 0, 0, 0.2);
    left: -180px;
    transition: all 0.45s ease-in;
    color: #00c31b;
    cursor: pointer;
}

.registerMenu{
    position: relative;
    width: 220px;
    left: -190px;
}

.registerMenu .title{
    top: 40%;
    position: absolute;
    transform: translateY(50%);
    right: 1px;
    font-weight: 700;
    font-size: 25px;
}
.registerMenu .logout{
    width: 70%;
}

.menu:hover,
.menu:focus {
    transform: translate3d(180px, 0, 0);
    animation-timing-function: 1s ease-in;
}

.registerMenu:hover,
.registerMenu:focus{
    transform: translate3d(190px, 0, 0);
    animation-timing-function: 1s ease-in;
}

.menu .title {
    top: 40%;
    position: absolute;
    transform: translateY(50%);
    right: 1px;
    font-weight: 700;
    font-size: 25px;
    letter-spacing: 5px;
}

.simple {
    text-shadow: 0 2px 0 rgba(255, 255, 255, 0.4);
}
.top-bar b{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top-bar span{
    font-size: 30px;
    color: #ffb400;
    margin: 0px 0;
}

.menu .nav {
    position: absolute;
    top: 20%;
    transform: translateY(-50%);
    font-weight: 100;
}

.menu .nav li {
    padding-bottom: 30px;
    list-style-type: none;
    margin-left: 35px;
}

.menu .nav li a {
    display: block;
    text-decoration: none;
    color: inherit;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    font-size: 16px;
}

.menu .nav li a:hover {
    color: #aaa;
}

/* END Hover menu */

/* Registration form */
#wrapperForm{
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 30vw;
    padding: 30px 0;
    transform: translateX(120%) translateY(-170%);
    border-radius: 10px;
    border: 1px solid #18ab29;
    box-shadow: 0 2px 15px 5px rgba(0, 0, 0, .4);
}

#registerForm{
    width: 60%;
}

#wrapperForm h2{
    margin-bottom: 30px;
    color: #00c31b;
    font-size: 32px;
    user-select: none;
}

#wrapperForm label{
    user-select: none;
}

.btn{
    margin-top: 30px;
    box-shadow: 0 2px 12px 3px rgba(0, 0, 0, .4);
}
/* END Registration form */
/* inputs filter*/
.filterinput {
        border: 0;
    border-bottom: 1px solid rgba(255,255,255,0.4);
    padding: 6px;
    font-size: 10;
    width: 200px;
    text-transform: uppercase;
    top: 30px;
    left: 130px;
    background: none;
    color: #fff;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: center;
}
.filterinput::placeholder {
    color: white;
    opacity: 0.5;
}
.searcheverywhere {
      -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  outline: 0;
  border: 1px solid rgba(47, 107, 119, 0.87);
  background-color: rgba(255, 255, 255, 0.2);
  width: 250px;
  border-radius: 3px;
  padding: 10px 15px;
  margin: 0 auto 10px auto;
  display: block;
  text-align: center;
  font-size: 18px;
  color: black;
  -webkit-transition-duration: 0.25s;
          transition-duration: 0.25s;
  font-weight: 300;
    cursor: pointer;
}
.searcheverywhere:hover {
  background-color:  rgba(47, 107, 119, 0.87);
}
.searcheverywhere:focus {
  background-color: white;
  width: 300px;
  color:black;
  }
  .searcheverywhere::placeholder {
    color: silver;
    opacity: 0.8;
}
/* inputs filter END*/


 .filterinput {
    width: 90px;
    color: black;
}

.tableStor th, .tableStor td {
   padding: 10px 2px !important;
}

.date_set a {
    background-color: green;
  color: white;
  padding: 2px 1.5em;
  text-decoration: none;
  text-transform: uppercase;
}

a.select {
    background-color: red;
}

.content hr {
    margin-top: 10px;
    margin-bottom: 10px;
}


.tableStor .filterinput {
   width: 50px; 
   font-size: 8px;
}

.tableStor thead {
   font-size: 12px !important;
}

.select_date_btn {
    margin-left: 15px;
    padding: 4px 1.5em;
}

.gatun_input {
    width: 10px !important;
}

.dropdown-skladu, .dropdown-dovidnuku, .submenu {
    width: 200px;
}
#printableArea {
    display: none;
}

@media print {
  body * {
    visibility: hidden;
  }
  @page { margin: 0; }
  body { margin: 1.6cm; }
  #printableArea, #printableArea * {
    visibility: visible;
     display: block;
  }
  #barcode {
    height: 100px;
}
  #printableArea {
    
    position: absolute;
    left: 135px;
    top: 0px;
  }
}

